Update the logic to use stable branch of puppet-ceph

... so that we don't need to update it when switching Ceph to a new
release.

Change-Id: Ic3f0ccfa5a423b3ec48fc7bd9f289e31813d1176
changes/66/853866/1
Takashi Kajinami 6 months ago
parent 04ad128ff4
commit 5cadc6d36e

@ -50,10 +50,10 @@ install_openstack() {
ZUUL_BRANCH=${ZUUL_BRANCH:-master}
if [ "$ZUUL_PROJECT" != "openstack/puppet-ceph" ] && [ -n "$CEPH_VERSION" ]; then
if [ "$CEPH_VERSION" == "octopus" ] || [ "$CEPH_VERSION" == "pacific" ]; then
ZUUL_BRANCH="master"
else
if [ "$CEPH_VERSION" == "jewel" ] || [ "$CEPH_VERSION" == "luminous" ] || [ "$CEPH_VERSION" == "mimic" ]; then
ZUUL_BRANCH="stable/$CEPH_VERSION"
else
ZUUL_BRANCH="master"
fi
fi

Loading…
Cancel
Save